Finding an Option

When an investor wants to purchase an options contract, typically you'll start by showing a list of possible contracts, organized by expiration date and type (call or put).

Identifying Underlyings enabled for Options

Only certain Equity and ETF underlying instruments will be enabled for options trading at a given time. You can access a list of equity instruments that are enabled for options trading using the List Instruments API with the isOptionsEnabled query parameter.

curl --request GET \
     --url https://bo-api.drivewealth.io/back-office/instruments?isOptionsEnabled=true \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {{ACCESS_TOKEN}}' \
     --header 'dw-client-app-key: {{yourAppKey}}'
Response:
    {
        "symbol": "GOOGL",
        "name": "Alphabet Inc. - Class A Shares",
        "enableExtendedHoursNotionalStatus": "ACTIVE",
        "overnightTradingStatus": "ACTIVE",
        "isOptionsEnabled": true,
        "id": "f5d33698-92d3-4d3c-be3a-5161e8f579b7",
        "type": "EQUITY",
        "status": "ACTIVE"
    },
    {
        "symbol": "AMZN",
        "name": "Amazon.com Inc.",
        "enableExtendedHoursNotionalStatus": "ACTIVE",
        "overnightTradingStatus": "ACTIVE",
        "isOptionsEnabled": true,
        "id": "06926627-e950-48f3-9c53-b679f61120ec",
        "type": "EQUITY",
        "status": "ACTIVE"
    },

To determine whether an individual Equity Instrument is enabled for options trading, inspect the isOptionsEnabled field on the Retrieve Instrument API:

curl --request GET \
     --url 'https://bo-api.drivewealth.io/back-office/instruments/MS' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {{ACCESS_TOKEN}}' \
     --header 'dw-client-app-key: {{yourAppKey}}'
Response:
{
	"symbol": "MS",
	"reutersPrimaryRic": "MS",
	"name": "Morgan Stanley",
	"description": ,
	"sector": "Financial",
	"longOnly": true,
  "isOptionsEnabled": true, // field that denotes the ability to trade options for this equity instrument. The default is false, meaning it is not possible to trade options for an instrument."
	"orderSizeMax": "20000",
	"orderSizeMin": "1E-8",
	"orderSizeStep": "1E-8",
	"exchangeNickelSpread": false,
	"close": 87.79,
	"descriptionChinese": " ",
	"enableExtendedHoursNotionalStatus": "INACTIVE",
}

Getting details

Once you have an individual option contract you want to evaluate, you can get more details about that option, using the Option Instrument ID or the Option Symbol with the Retrieve Instrument API.

curl --request GET \
     --url    'https://bo-api.drivewealth.io/back-office/instruments/AAPL220517P00016000' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {{ACCESS_TOKEN}}' \
     --header 'dw-client-app-key: {{yourAppKey}}'
Response:
{
      "id": "2cbd5648-7afa-4347-8c82-743fd74a123a",
      "symbol": "AAPL220517P00016000",
      "rootSymbol": AAPL,
      "rootId":"a67422af-8504-43df-9e63-7361eb0bd99e",
      "type": "OPTION", 
      "orderSizeMax": 10000,
      "orderSizeMin": 1,
      "orderSizeStep": 1,
      "description": "AAPL May 17 2022 $16.00 Put",
      "expirationDate": "2022-05-015",
      "optionType": "PUT",
      "strikePrice": "16.00",
      "sharesPerContract": "100",
      "exchange": "25",
}

Did this page help you?